* {
    margin: 0.2rem;
    padding: 0;
    font-family: 'my-amatic';
}

#languages-div {
    /*background-color: #f0f8ff;*/
    border-radius: 1rem;
    max-width: 100rem;
    margin-left: auto;
    margin-right: auto;
    justify-content: center;
}

#languages-list {
    text-align: center;
}

.languages-flag {
    width: auto;
    height: 2rem;
}

.div-header {
    font-weight: bold;
    font-size: 2rem;
    text-align: center;
}

@media (min-width: 80rem) {
    .div-header {
        font-size: 3rem;
    }
}

.div-content {
    font-size: 2rem;
    max-width: 100rem;
    justify-content: center;
}

#header-firstname-lastname {
    text-align: center;
    font-weight: bold;
    font-size: 3rem;
}

@media (min-width: 80rem) {
    #header-firstname-lastname {
        font-size: 5rem;
    }
}

/* Nuotrauka, trumpas prisistatymas. */
#intro-photo-and-text {
    display: flex;
    flex-direction: column;
}

#intro-text {
    background-color: #e6f3ff;
    border-radius: 1rem;
    font-size: 2rem;
}

#img-intro-photo {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
    border-radius: 1rem;
}

ul {
    list-style-type: disc;
    margin-left: 2rem;
}

ul ul {
    list-style-type: circle;
}

@media (min-width: 80rem) {
    #intro-photo-and-text {
        flex-direction: row;
        justify-content: center;
        width: 100rem;
        margin-left: auto;
        margin-right: auto;
    }
    
    #img-intro-photo {
        margin-top: 0rem;
        width: 12rem;
        flex-shrink: 0;
    }
    
    #intro-text {
        flex-grow: 1;
    }
}

/* Bendras išdėstymas. */
.div-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.service-item, .technology-used-item {
    border-radius: 1rem;
}

#services-list, #technology-used-list, #contacts-list {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

@media (min-width: 80rem) {
    .div-content {
        flex-direction: row;
        justify-content: center;
        margin-left: auto;
        margin-right: auto;
    }
    
    #services-list, #technology-used-list {
        width: 100rem;
        flex-direction: row;
        flex-wrap: wrap;
    }
    
    .service-item, .technology-used-item {
        width: 20rem;
    }
}

/* Teikiamos paslaugos. */
.service-item {
    
}

/* #7fc3fb  #85c6fb  #8cc9fb  #92ccfb  #99cffc  #a0d3fc  #a6d6fc  #add9fc  
 * #b3dcfd  #badffd  #c1e3fd  #c7e6fd  #cee9fe  #d4ecfe  #dbeffe  #e2f3ff 
 */
.service-item:nth-of-type(1) {
    background-color: #7fc3fb;
}

.service-item:nth-of-type(2) {
    background-color: #85c6fb;
}

.service-item:nth-of-type(3) {
    background-color: #8cc9fb;
}

.service-item:nth-of-type(4) {
    background-color: #92ccfb;
}

.service-title {
    text-align: center;
    font-weight: bold;
}

.service-description {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    font-size: 2rem;
}

/* #ffe492  #ffe495  #ffe598  #ffe69c  #ffe79f  #ffe8a3  #ffe9a6  #ffeaaa 
 * #ffebad  #ffecb1  #ffedb4  #ffeeb8  #ffefbb  #fff0bf  #fff1c2  #fff2c6 
 */
.technology-used-item:nth-of-type(1) {
    background-color: #ffe492;
}

.technology-used-item:nth-of-type(2) {
    background-color: #ffe495;
}

.technology-used-item:nth-of-type(3) {
    background-color: #ffe598;
}

.technology-used-item:nth-of-type(4) {
    background-color: #ffe69c;
}

.technology-used-item:nth-of-type(5) {
    background-color: #ffe79f;
}

.technology-used-item:nth-of-type(6) {
    background-color: #ffe8a3;
}

.technology-used-item:nth-of-type(7) {
    background-color: #ffe9a6;
}

.technology-used-title {
    text-align: center;
    font-weight: bold;
    padding-left: 0.5rem;
}

.technology-used-description {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

/* Atlikti darbai. */

#portfolio-items-list {
    display: flex;
    flex-direction: column;
}

.portfolio-item {
    border-radius: 1rem;
}

@media (min-width: 80rem) {
    #portfolio-items-list {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
    }
    
    .portfolio-item {
        width: 32rem;
    }
}

/* #dddddd  #dfdfdf  #e1e1e1  #e3e3e3  #e6e6e6  #e8e8e8  #eaeaea  #ececec  
 * #efefef  #f1f1f1  #f3f3f3  #f5f5f5  #f8f8f8  #fafafa  #fcfcfc  #ffffff 
 */
.portfolio-item:nth-of-type(1) {
    background-color: #dddddd;
}

.portfolio-item:nth-of-type(2) {
    background-color: #e8e8e8;
}

.portfolio-title {
    text-align: center;
    font-weight: bold;
}

.portfolio-image-div {
    display: flex;
    justify-content: center;
}

.portfolio-image {
    width: 32rem;
    height: auto;
}

.portfolio-link:link {
    color: black;
    text-decoration: none;
}

.portfolio-description {
    display: flex;
    flex-direction: column;
}

#write-me-form {
    background-color: #c8e6c9;
}

.write-me-label {
    margin-left: 0.6rem;
    font-size: 2rem;
}

.write-me-input-text {
    border-width: 0.1rem;
    font-size: 2rem;
    margin-left: 0.6rem;
    margin-right: 0.6rem;
    width: calc(100% - 1.2rem);
}

#write-me-message-textarea {
    font-size: 2rem;
    height: 24rem;
    margin-left: 0.6rem;
    margin-right: 0.6rem;
    width: calc(100% - 1.2rem);
}

#write-me-submit {
    /*width: 100%;*/
    font-size: 2rem;
    margin-left: 0.6rem;
    margin-bottom: 0.6rem;
}

#write-me-success {
    background-color: #00ff00;
    display: none;
    font-size: 2rem;
    font-weight: bold;
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
    padding-left: 0.4rem;
    width: 100%;
}

#write-me-success:not(:empty) {
    display: block;
}

#write-me-error {
    background-color: #ff8888;
    display: none;
    font-size: 2rem;
    font-weight: bold;
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
    padding-left: 0.4rem;
    width: 100%;
}

#write-me-error:not(:empty) {
    display: block;
}


/* Kontaktai */
.contact-item {
    border-radius: 1rem;
}

/* #64a1ff  #5fa5ff  #5ba9ff  #57adfe  #52b1ff  #4eb5ff  #4ab9ff  #46beff 
 */
.contact-item:nth-of-type(1) {
    background-color: #64a1ff;
}

.contact-item:nth-of-type(2) {
    background-color: #5ba9ff;
}

.contact-item:nth-of-type(3) {
    background-color: #52b1ff;
}

.contact-item:nth-of-type(4) {
    background-color: #57adfe;
}

.contact-item:nth-of-type(5) {
    background-color: #52b1ff;
}

.contact-item:nth-of-type(6) {
    background-color: #4eb5ff;
}

.contact-item:nth-of-type(7) {
    background-color: #4ab9ff;
}

.contact-icon-div {
    display: flex;
    justify-content: center;
}

.contact-icon {
    width: 32rem;
    height: auto;
}

.contact-value {
    display: flex;
    justify-content: center;
    font-size: 2rem;
}

.contact-link {
    width: auto;
}

.contact-link:link {
    color: #000000;
    text-decoration: none;
}

#contacts-list {
    display: flex;
    flex-direction: column;
}

@media (min-width: 80rem) {
    #contacts-list {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
    }
    
    .contact-icon {
        width: 20rem;
    }
    
    .contact-item {
        width: 32rem;
    }
}

/* Draugai */
#partners-list {
    display: flex;
    flex-direction: column;
}

.partner-item {
    border-radius: 1rem;
}

@media (min-width: 80rem) {
    #partners-list {
        flex-direction: row;
        justify-content: center;
    }
    
    .partner-item {
        width: 32rem;
    }
}
/* #ffa413  #ffa71d  #ffab27  #ffaf31  #ffb33b  #ffb745  #ffbb4f  #ffbf59
 * #ffc263  #ffc66c  #ffca76  #ffce81  #ffd28b  #ffd695  #ffda9f  #ffdea9 
 */
.partner-item:nth-of-type(1) {
    background-color: #ffa413;
}

.partner-item:nth-of-type(2) {
    background-color: #ffa71d;
}

.partner-item:nth-of-type(3) {
    background-color: #ffab27;
}

.partner-item:nth-of-type(4) {
    background-color: #ffaf31;
}

.partner-photo-div {
    display: flex;
    justify-content: center;
}

.partner-photo {
    width: 30rem;
    height: auto;
}

.partner-name {
    text-align: center;
    font-weight: bold;
    font-size: 4rem;
}

.partner-description {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.partner-link {
    text-align: center;
}

.partner-link a {
    color: black;
    text-decoration: none;
}

/* Padėka. */
#acknowledgements-list-title {
    font-size: 1rem;
}

#acknowledgements-div {
    background-color: #FCE4EC;
    border-radius: 1rem;
}

.acknowledgements-list-element {
    font-size: 1rem;
}

.acknowledgements-list-element-link:link {
    color: black;
    text-decoration: none;
}

/* Darbai */
#table-todo-list, #table-todo-list tr, #table-todo-list td {
    border: 1px solid black;
    border-collapse: collapse;
}

.task-stopped {
    background: #fd9088;
}

.task-doing {
    background: #f0ce27;
}

.task-finished {
    background: #27f042;
}

/* Bendri nustatymai. */
.portfolio-link:hover, .contact-link:hover, .partner-link a:hover, .acknowledgements-list-element-link:hover {
    font-weight: bold;
    color: #ffffff;
    background-color: #3182ce;
    transition: all 0.6s ease;
}

#footer {
    max-width: 100rem;
    margin-left: auto;
    margin-right: auto;
}
